|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStyleHintReturnVariant Class Reference
[QtGui module]

The QStyleHintReturnVariant class provides style hints that return a QVariant. More...

     #include <QStyleHintReturnVariant>

Inherits QStyleHintReturn.

This class was introduced in Qt 4.3.

- List of all members, including inherited members

### Public Types

- enum StyleOptionType { Type }
- enum StyleOptionVersion { Version }

### Public Functions

- QStyleHintReturnVariant ()

### Public Variables

- QVariant variant

- 2 public variables inherited from QStyleHintReturn

## Detailed Description

The QStyleHintReturnVariant class provides style hints that return a QVariant.

## Member Type Documentation

### enum QStyleHintReturnVariant::StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleHintReturn subclass.

Constant | Value | Description
--- | --- | ---
`QStyleHintReturnVariant::Type` | `SH_Variant` | The type of style option provided (SH_Variant for this class).

The type is used internally by QStyleHintReturn, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleHintReturn subclass and your own styles.

See also StyleOptionVersion.

### enum QStyleHintReturnVariant::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleHintReturn subclass.

Constant | Value | Description
--- | --- | ---
`QStyleHintReturnVariant::Version` | `1` | 1

The version is used by QStyleHintReturn subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally don't need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleHintReturnVariant::QStyleHintReturnVariant ()

Constructs a QStyleHintReturnVariant. The member variables are initialized to default values.

## Member Variable Documentation

### QVariant QStyleHintReturnVariant::variant

This variable holds the variant for style hints that return a QVariant.